function image_phasetrans

temp = [2:1:20];
[Pm,Ps,Pv] = phase_co2h2o(temp,35);
delta = temp;

for i = 1:19
    [rho cv cp s u1 ] = eos_co2(Pv(i)-0.001,temp(i));
    [rho cv cp s u2] = eos_co2(Pv(i)+0.001,temp(i));
    delta(i)=(u1-u2)/1000;
end



figure(2)
clf
hold on
set(gca,'FontSize',12,'xlim',[2 20]);
xlabel('temperature /C','FontSize',14)
ylabel('Delta U /(kJ/kg)','FontSize',14)
plot(temp,delta,'b','LineWidth',2)
%text(4,0.1e-4,'CH_4','FontSize',12,'FontWeight','bold')
%text(4,1.05e-4,'CO_2','FontSize',12,'FontWeight','bold')
hold off

