function image_heatvap

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 2.4 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [-10:1:30];
[pm,ps,pv,Pdissw] = phase_co2h2o(temp,0); % [MPa]
hh1 = temp;
hh2 = temp;
for i = 1:length(temp)
[rho1 cv cp s u1 h1] = eos_co2(pv(i)-0.00001,temp(i));
[rho2 cv cp s u2 h2] = eos_co2(pv(i)+0.00001,temp(i));
hh1(i) = h1;
hh2(i) = h2;
end


dh = hh1 - hh2;

clf
hold on
set(gca,'FontSize',14,'ylim',[60 260]);
xlabel('p / MPa','FontSize',16)
ylabel('h_v /(kJ/kg)','FontSize',16)
plot(pv,dh./1000,'-k','LineWidth',2)
hold off
